package com.convenient.android.common.extension

import kotlinx.coroutines.Dispatchers
import kotlinx.coroutines.withContext

/**
 * @classname:
 * @author: LiuXiaoLong
 * @date: 2022/8/1
 * description: 协程相关的扩展类
 */


suspend fun <T> T.withIO(): T {
    return withContext(Dispatchers.IO) {
        this@withIO
    }
}